> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shardcloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get specific database details



## OpenAPI

````yaml /api-reference/openapi.json get /databases/{database_id}
openapi: 3.0.0
info:
  title: Cloud Website API
  description: API documentation for database and app management endpoints
  version: 1.0.0
servers:
  - url: https://shardcloud.app/api
    description: API base path
security: []
tags:
  - name: Databases
    description: Database management operations
  - name: Apps
    description: Application management operations
paths:
  /databases/{database_id}:
    get:
      tags:
        - Databases
      summary: Get specific database details
      parameters:
        - name: database_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Database details
          content:
            application/json:
              schema:
                type: object
                properties:
                  database:
                    $ref: '#/components/schemas/DatabaseService'
                  project_info:
                    $ref: '#/components/schemas/ProjectInfo'
                  replica_status:
                    type: array
                    items:
                      type: string
        '404':
          description: Database not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - JWTAuth: []
components:
  schemas:
    DatabaseService:
      allOf:
        - $ref: '#/components/schemas/Project'
        - type: object
          properties:
            service_type:
              type: string
              enum:
                - postgres
                - mongo
                - redis
            visualizer:
              type: boolean
            size:
              type: integer
              description: Size in bytes
    ProjectInfo:
      type: object
      properties:
        ram:
          type: array
          items:
            type: number
        vcpu:
          type: array
          items:
            type: number
        storage:
          type: integer
        network_receive:
          type: array
          items:
            type: number
        network_send:
          type: array
          items:
            type: number
    Error:
      type: object
      properties:
        error:
          type: string
    Project:
      type: object
      properties:
        user_id:
          type: string
          format: uuid
        id:
          type: string
          format: uuid
        ram:
          type: integer
        name:
          type: string
        is_app:
          type: boolean
        blocked_until:
          type: string
          format: date-time
          nullable: true
        setup:
          type: boolean
        created_at:
          type: string
          format: date-time
          nullable: true
        last_setup_at:
          type: string
          format: date-time
          nullable: true
        vcpu:
          type: integer
  securitySchemes:
    JWTAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````